import { createSlice } from "@reduxjs/toolkit";

export const authenticationSlice = createSlice({
    name: 'auth',
    initialState: {
        authenticated: false, 
        userId: null,
        fullName: null
    },
    reducers: {
        authenticated: (state, action) => {
            state.authenticated = true;
            state.userId = action.payload.userId;
            state.fullName = action.payload.fullName;
        },
        logout: (state) => {
            state = {
                authenticated: false, 
                userId: null,
                fullName: null
            }
        }
    }
})

export const {authenticated, logout} = authenticationSlice.actions
export const selectAuthenticated = (state) => state.authenticated

export default authenticationSlice.reducer